Skip to main content
POST
Create bulk email enrichment job

Authorizations

Authorization
string
header
required

API Token used for authentication. Example: "Authorization: Bearer {token}"

Body

application/json
items
object[]
required

A list of person email enrichment lookups. Up to 1,000 items can be provided.

Required array length: 1 - 1000 elements
webhook_url
string<uri> | null

The webhook URL to receive the notification when processing completes.

Maximum string length: 2048

Response

OK

job_id
string<uuid>

Unique identifier for the bulk person email enrichment job.

status
enum<string>

Current status of the job (pending, processing, completing, completed, failed).

Available options:
pending,
processing,
completing,
completed,
failed
total_requests
integer<int32>

Number of lookup items queued in the job.

estimated_credits
integer<int32>

Estimated maximum credit cost for the job.